Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.utils
Class ConnectorExceptionUtils

    java.lang.Object
      be.ehealth.technicalconnector.utils.ConnectorExceptionUtils

    public final class ConnectorExceptionUtils

extends Object

Utility class that handles specific errors.

Method Summary
`static void` | `processSOAPFault(SOAPFaultException e)` Utility method that process the `SOAPFaultException` and translate it to `SoaErrorException` or `SOAPFaultException`.
`static byte[]` | `processUnsealConnectorException(UnsealConnectorException e, String... allowedErrors)` Utility method that handles `UnsealConnectorException` by ignoring a Array of allowedErrors.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### processSOAPFault

    public static void processSOAPFault(SOAPFaultException e)
                                 throws SoaErrorException

  Utility method that process the `SOAPFaultException` and translate it to `SoaErrorException` or `SOAPFaultException`.

  Parameters:
    `e` -
  Throws:
    `SoaErrorException`

### processUnsealConnectorException

    public static byte[] processUnsealConnectorException(UnsealConnectorException e,
                                                         String... allowedErrors)
                                                  throws UnsealConnectorException,
                                                         TechnicalConnectorException

  Utility method that handles `UnsealConnectorException` by ignoring a Array of allowedErrors.

  If an empty array is passed all errors are ignored.

  Parameters:
    `e` -
    `allowedErrors` -
  Returns:
  Throws:
    `UnsealConnectorException`
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.